# TextBox

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (3.0.0.0)

* [Control](/api/v3.0/wisej.web/general/control.md)
  * [TextBoxBase](/api/v3.0/wisej.web/editors/wisej.web.textboxbase.md)
    * [TextBox](/api/v3.0/wisej.web/editors/wisej.web.textbox.md)

Represents a text box control that allows the user to enter any value.

{% tabs %}
{% tab title="C#" %}

```csharp
public class TextBox : TextBoxBase
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class TextBox
    Inherits TextBoxBase
```

{% endtab %}
{% endtabs %}

## Constructors

### ![](/files/uCY6T77rh488FWHzpJ6P)TextBox()

## Properties

### ![](/files/uCY6T77rh488FWHzpJ6P)AcceptsReturn

[Boolean](https://docs.microsoft.com/en-us/dotnet/api/system.boolean): Returns or sets whether pressing ENTER in a multiline [TextBox](/api/v3.0/wisej.web/editors/wisej.web.textbox.md) control creates a new line of text in the control or activates the default button for the form.

### ![](/files/uCY6T77rh488FWHzpJ6P)CharacterCasing

[CharacterCasing](/api/v3.0/wisej.web/editors/wisej.web.charactercasing.md): Returns or sets whether the [TextBox](/api/v3.0/wisej.web/editors/wisej.web.textbox.md) control modifies the case of characters as they are typed.

### ![](/files/uCY6T77rh488FWHzpJ6P)Checked

[Boolean](https://docs.microsoft.com/en-us/dotnet/api/system.boolean): Returns whether the textbox with [InputType](#inputtype) set to [Checkbox](/api/v3.0/wisej.web/editors/wisej.web.textboxtype.md#fields) or [Radio](/api/v3.0/wisej.web/editors/wisej.web.textboxtype.md#fields) is checked.

### ![](/files/uCY6T77rh488FWHzpJ6P)Filter

[String](https://docs.microsoft.com/en-us/dotnet/api/system.string): Returns or sets a JavaScript regular expression that limits the characters that the user can type.

### ![](/files/uCY6T77rh488FWHzpJ6P)InputType

[InputType](/api/v3.0/wisej.web/editors/wisej.web.inputtype.md): Specifies the type, min, max and step properties to associate to the  element.

### ![](/files/uCY6T77rh488FWHzpJ6P)PasswordChar

[Char](https://docs.microsoft.com/en-us/dotnet/api/system.char): Returns or sets the character used to mask characters of a password in a single-line [TextBox](/api/v3.0/wisej.web/editors/wisej.web.textbox.md) control.

This property only enables/disables the password mode for the textbox. It doesn't change the password masking character used by the browser.

### ![](/files/uCY6T77rh488FWHzpJ6P)ScrollBars

[ScrollBars](/api/v3.0/wisej.web/enumerations/wisej.web.scrollbars.md): Returns or sets which scroll bars should appear.

### ![](/files/uCY6T77rh488FWHzpJ6P)SpellCheck

[Boolean](https://docs.microsoft.com/en-us/dotnet/api/system.boolean): Returns or sets whether the text in the [TextBox](/api/v3.0/wisej.web/editors/wisej.web.textbox.md) is spell checked by the browser.

### ![](/files/uCY6T77rh488FWHzpJ6P)Text

[String](https://docs.microsoft.com/en-us/dotnet/api/system.string): Returns or sets the current text in the text box.

### ![](/files/uCY6T77rh488FWHzpJ6P)TextAlign

[HorizontalAlignment](/api/v3.0/wisej.web/enumerations/wisej.web.horizontalalignment.md): Returns or sets how text is aligned in a [TextBox](/api/v3.0/wisej.web/editors/wisej.web.textbox.md) control.

## Methods

### ![](/files/uCY6T77rh488FWHzpJ6P)ResetInputType()

Resets the [InputType](#inputtype) property.

## Events

### ![](/files/uCY6T77rh488FWHzpJ6P)CheckedChanged

[EventHandler](https://docs.microsoft.com/en-us/dotnet/api/system.eventhandler) Fired when the value of the [Checked](#checked) property changes.

### ![](/files/uCY6T77rh488FWHzpJ6P)TextAlignChanged

[EventHandler](https://docs.microsoft.com/en-us/dotnet/api/system.eventhandler) Fired when the value of the [TextAlign](#textalign) property has changed.

## Inherited By

| Name                                                                                                                                 | Description                                                                                                                                                                                                                                                                                                                                                                                                                                                           |
| ------------------------------------------------------------------------------------------------------------------------------------ | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [DataGridViewTextBoxEditingControl](/api/v3.0/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewtextboxeditingcontrol.md) | Represents a [TextBox](/api/v3.0/wisej.web/editors/wisej.web.textbox.md) control that can be hosted in a [DataGridViewTextBoxCell](/api/v3.0/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewtextboxcell.md) cell when the cell's [WrapMode](/api/v3.0/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewcellstyle.md#wrapmode) is set to [False](/api/v3.0/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewtristate.md#fields). |

## Implements

| Name                                                                                   | Description                                                                                                                                                                                                                                               |
| -------------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [IBindableComponent](/api/v3.0/wisej.web/data-binding/wisej.web.ibindablecomponent.md) | Bindable components implement this interface.                                                                                                                                                                                                             |
| [ILabel](/api/v3.0/wisej.web/interfaces/wisej.web.ilabel.md)                           | Provides access to the [LabelWrapper](/api/v3.0/wisej.web/editors/wisej.web.labelwrapper.md) associated with the controls that implement this interface.                                                                                                  |
| [IReadOnly](/api/v3.0/wisej.web/interfaces/wisej.web.ireadonly.md)                     | Provides access to the [ReadOnly](/api/v3.0/wisej.web/interfaces/wisej.web.ireadonly.md#readonly) property for coontrols that support the read-only mode.                                                                                                 |
| [IModified](/api/v3.0/wisej.web/interfaces/wisej.web.imodified.md)                     | Provides access to the [Modified](/api/v3.0/wisej.web/interfaces/wisej.web.imodified.md#modified) property and [ModifiedChanged](/api/v3.0/wisej.web/interfaces/wisej.web.imodified.md#modifiedchanged) event for controls that implement this interface. |
| [IWisejComponent](/api/v3.0/wisej.core/interfaces/wisej.core.iwisejcomponent.md)       | All wisej components implement this interface.                                                                                                                                                                                                            |
| [IWisejControl](/api/v3.0/wisej.core/interfaces/wisej.core.iwisejcontrol.md)           | All wisej controls derived from the [Control](/api/v3.0/wisej.web/general/control.md) class must implement this interface.                                                                                                                                |
| [IWisejSerializable](/api/v3.0/wisej.core/interfaces/wisej.core.iwisejserializable.md) | Allows an object to serialize itself.                                                                                                                                                                                                                     |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/v3.0/wisej.web/editors/wisej.web.textbox.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
